/*! HTML5 Boilerplate v6.1.0 | MIT License | https://html5boilerplate.com/ */

/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */

html {
    color: #222;
    font-size: 1.1em;
    line-height: 1.5;
}

/*
 * Remove text-shadow in selection highlight:
 * https://twitter.com/miketaylr/status/12228805301
 *
 * Vendor-prefixed and regular ::selection selectors cannot be combined:
 * https://stackoverflow.com/a/16982510/7133471
 *
 * Customize the background color to match your design.
 */

::-moz-selection {
    background: #b3d4fc;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    text-shadow: none;
}

/*
 * A better looking default horizontal rule
 */

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

audio,
canvas,
iframe,
img,
svg,
video {
    vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
    resize: vertical;
}

/* ==========================================================================
   Browser Upgrade Prompt
   ========================================================================== */

.browserupgrade {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */

*, *:before, *:after {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
}

html, body {
	background: #fff;
}

body {
	font-family: 'Source Sans Pro', helvetica, arial, sans-serif;
}

h1 {
	font-weight: 600;
	font-size: 1.8em;
	line-height: 1.5;
	margin-bottom: .5em;
	color: #0078a1;
}

h2 {
	font-weight: 600;
	font-style: italic;
	font-size: 1.5em;
	line-height: 1.3;
	margin-bottom: .5em;
	color: #0078a1;
}

h4 {
	font-weight: 300;
	font-style: italic;
	font-size: 1.3em;
	line-height: 1.3;
	margin-bottom: .5em;
}

h5 {
	font-weight: 600;
	font-style: italic;
	font-size: 1.2em;
	line-height: 1.2;
	margin-bottom: .5em;
}

h6 {
	font-weight: 600;
	font-size: 1.1em;
	line-height: 1.2;
	margin-bottom: .5em;
	color: #0078a1;
}

p {
	font-size: 1.1em;
	line-height: 1.5em;
	margin-bottom: 1.1em;
}

a {
	font-size: 1.1em;
	line-height: 1.5em;
	color: #0078a1;
	text-decoration: none;
	outline: 0;
}
a:hover {
	color: #5a5d60;
	text-decoration: underline;
}

footer {
	font-size: .8em;
	margin-top: 1em;
	padding: 1.1em 1em;
	text-align: center;
	border-top: 1px solid #b4d5e5;
}
footer p { margin: 0; }

/* ======= MENU ======= */

header * {
	z-index: 99999998;
}

nav ul {
	display: block;
	float: left;
	position: fixed;
	top: 40px;
	left: 0;
	width: 100%;
}
nav ul li {
	display: block;
	width: 100%;
	overflow: hidden;
	text-align: center;
	padding: 0 .5em;
	background: #fff;
	border-bottom: 1px solid #b4d5e5;
}

nav ul.list-off {
	display: none;
}

nav ul.list-on {
	display: block;
}

#bars {
	display: block;
	width: 40px;
	float: left;
	text-align: center;
	line-height: 32px;
}

.large-menu, .small-menu {
	height: 40px;
}

.large-menu .menu-container, .small-menu .menu-container {
	width: 100%;
	position: fixed;
	background: #fff;
	height: 40px;
	padding-top: 4px;
	border-bottom: 1px solid #b4d5e5;
	overflow: hidden;
}

.large-menu #logo-container, .small-menu #logo-container {
	display: block;
	width: 120px;
	height: 32px;
    position: relative;
    float: left;
}

.large-menu #acod-logo-container, .small-menu #acod-logo-container {
	display: block;
	width: 56px;
    height: 32px;
    position: relative;
    margin-right: 4px;
    float: right;
}

.large-menu #acod-logo, .small-menu #acod-logo, .large-menu #logo, .small-menu #logo {
	display: block;
	position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: auto;
}

.large-menu li, .small-menu li {
	line-height: 48px;
}

header * {
	transition: .7s all;
	-moz-transition: .7s all;
	-webkit-transition: .7s all;
	-o-transition: .7s all;
}

/* ==================== */

.section {
	width: 100%;
}

.narrow {
	display: block;
	position: relative;
	width: 100%;
	max-width: 1024px;
	padding: 0 1em;
	margin: 1em auto;
	overflow: hidden;
}
.wide {
	display: block;
	position: relative;
	width: 100%;
	padding: 0 1em;
	margin: 1em auto;
	overflow: hidden;
}

a.button {
	background: #0079a1;
	background-image: -webkit-linear-gradient(top, #0079a1, #005470);
	background-image: -moz-linear-gradient(top, #0079a1, #005470);
	background-image: -ms-linear-gradient(top, #0079a1, #005470);
	background-image: -o-linear-gradient(top, #0079a1, #005470);
	background-image: linear-gradient(to bottom, #0079a1, #005470);
	-webkit-border-radius: 4;
	-moz-border-radius: 4;
	border-radius: 4px;
	color: #efefef;
	font-size: 1.2em;
	font-weight: bold;
	padding: 0.5em 1em;
	text-decoration: none;
}
a.button:hover {
	background: #b4d5e5;
	background-image: -webkit-linear-gradient(top, #b4d5e5, #0078a1);
	background-image: -moz-linear-gradient(top, #b4d5e5, #0078a1);
	background-image: -ms-linear-gradient(top, #b4d5e5, #0078a1);
	background-image: -o-linear-gradient(top, #b4d5e5, #0078a1);
	background-image: linear-gradient(to bottom, #b4d5e5, #0078a1);
}

#hero {
	display: block;
	position: relative;
	text-align: center;
	width: 100%;
	background: url(../img/office-building.jpg) center no-repeat #b4d5e5;
	background-size: cover;
	text-shadow: 1px 1px 2px #000;
	padding: 3em;
	margin-bottom: 2em;
	overflow: hidden;
}
#hero h1 {
	margin-bottom: 1em;
}

.no-js #preloader { display: none;  }

#preloader {
	position: fixed;
	left: 0px;
	top: 0px;
	width: 100%;
	height: 100%;
	z-index: 99999999;
	background: url(../img/preloader.gif) center no-repeat #fff;
}

.contacts-wrapper {
	background: #f5f5f6;
	border-top: 1px solid #ebebec;
	padding-top: 2em;
	padding-bottom: 2em;
}

.contact-card {
	display: inline-block;
	width: 100%;
	margin-bottom: 1em;
	background: #fff;
	padding: 1em;
	box-shadow: 0 1px 1.5px rgba(13,13,13,0.1),0 1px 1px rgba(13,13,13,0.1);
	border-top: 1px solid #ebebec;
	overflow: hidden;
}
.contacts-wrapper * {
	transition: .7s all;
	-moz-transition: .7s all;
	-webkit-transition: .7s all;
	-o-transition: .7s all;
}
.contact-card img {
	display: block;
	height: 96px;
	width: 96px;
	margin: 0 auto 1em auto;
	border-radius: 48px;
	box-shadow: 0 1px 1.5px rgba(13,13,13,0.1),0 1px 1px rgba(13,13,13,0.1);
}

.contact-card-text {
	display: block;
	text-align: center;
}

.contacts-general-info {
	padding: 0 1em;
}

#map-container {
	width: 100%;
    padding-top: 75%;
    position: relative;
    z-index: 0;
}
#map {
	position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

.compact {
	margin-bottom: 0.5em;
}

.cc-blue {
	color: #0078a1;
}
.cc-gray {
	color: #5a5d60;
}
.cc-white {
	color: #efefef;
}
.centred {
	text-align: center;
}
#kontakt-link {
	margin-top: 40px;
	padding-top: 40px;
}

/* ==========================================================================
   Helper classes
   ========================================================================== */

/*
 * Hide visually and from screen readers
 */

.hidden {
    display: none !important;
}

/*
 * Hide only visually, but have it available for screen readers:
 * https://snook.ca/archives/html_and_css/hiding-content-for-accessibility
 *
 * 1. For long content, line feeds are not interpreted as spaces and small width
 *    causes content to wrap 1 word per line:
 *    https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe
 */

.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
    white-space: nowrap; /* 1 */
}

/*
 * Extends the .visuallyhidden class to allow the element
 * to be focusable when navigated to via the keyboard:
 * https://www.drupal.org/node/897638
 */

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
    white-space: inherit;
}

/*
 * Hide visually and from screen readers, but maintain layout
 */

.invisible {
    visibility: hidden;
}

/*
 * Clearfix: contain floats
 *
 * For modern browsers
 * 1. The space content is one way to avoid an Opera bug when the
 *    `contenteditable` attribute is included anywhere else in the document.
 *    Otherwise it causes space to appear at the top and bottom of elements
 *    that receive the `clearfix` class.
 * 2. The use of `table` rather than `block` is only necessary if using
 *    `:before` to contain the top-margins of child elements.
 */

.clearfix:before,
.clearfix:after {
    content: " "; /* 1 */
    display: table; /* 2 */
}

.clearfix:after {
    clear: both;
}

/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   These examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */


@media only screen and (min-width: 480px) {
    .contact-card img {
		display: inline-block;
		vertical-align: top;
		margin: 0 1em 1em 0;
	}

	.contact-card-text {
		display: inline-block;
		vertical-align: top;
		text-align: left;
	}
}
@media only screen and (min-width: 768px) {
    #bars {
		display: none;
	}
	nav ul {
		display: block;
		float: none;
		overflow: hidden;
		text-align: center;
		margin: 0 auto;
		top: 0;
		right: 108px;
		left: 204px;
		width: auto;
	}
	nav ul li {
		display: inline-block;
		overflow: hidden;
		text-align: center;
		padding: 0 .5em;
		width: auto;
		min-width: 0;
		border-bottom: none;
	}
	nav ul.list-off {
		display: block;
	}
	.large-menu {
		height: 96px;
	}
	.large-menu .menu-container {
		height: 96px;
		padding-top: 24px;
		border-bottom: none;
	}
	.large-menu #logo-container {
		width: 180px;
		height: 48px;
		margin-left: 24px;
	}
	.large-menu #acod-logo-container {
		width: 84px;
		height: 48px;
		margin-right: 24px;
	}
	.small-menu #logo-container {
		margin-left: 24px;
	}
	.small-menu #acod-logo-container {
		margin-right: 24px;
	}
	.large-menu nav ul li {
		line-height: 96px;
		background: none;
	}
	.small-menu nav ul li {
		line-height: 38px;
	}
	.contact-card {
		width: 47%;
		margin-right: 3%;
	}
	.contact-card img {
		display: block;
		margin: 0 auto 1em auto;
	}
	.contact-card-text {
		display: block;
		text-align: center;
	}
}
@media only screen and (min-width: 1024px) {
    .contact-card img {
		display: inline-block;
		vertical-align: top;
		margin: 0 1em 1em 0;
	}
	.contact-card-text {
		display: inline-block;
		vertical-align: top;
		text-align: left;
	}
	.contacts-general-info {
		display: inline-block;
		width: 33%;
		vertical-align: top;
	}
	#map-container {
		width: 66%;
		padding-top: 50%;
		display: inline-block;
		vertical-align: top;
	}
}
@media only screen and (min-width: 1200px) {
    .contact-card {
		width: 31%;
		margin-right: 2%;
	}
	.contact-card img {
		display: block;
		margin: 0 auto 1em auto;
	}
	.contact-card-text {
		display: block;
		text-align: center;
	}
@media only screen and (min-width: 1280px) {
    .contact-card img {
		display: inline-block;
		vertical-align: top;
		margin: 0 1em 1em 0;
	}
	.contact-card-text {
		display: inline-block;
		vertical-align: top;
		text-align: left;
	}
	#map-container {
		width: 66%;
		padding-top: 33%;
		display: inline-block;
		vertical-align: top;
	}
}
@media only screen and (min-width: 360px) {
    /* Style adjustments for viewports that meet the condition */
}

@media print,
       (-webkit-min-device-pixel-ratio: 1.25),
       (min-resolution: 1.25dppx),
       (min-resolution: 120dpi) {
    /* Style adjustments for high resolution devices */
}

/* ==========================================================================
   Print styles.
   Inlined to avoid the additional HTTP request:
   https://www.phpied.com/delay-loading-your-print-css/
   ========================================================================== */

@media print {
    *,
    *:before,
    *:after {
        background: transparent !important;
        color: #000 !important; /* Black prints faster */
        -webkit-box-shadow: none !important;
        box-shadow: none !important;
        text-shadow: none !important;
    }

    a,
    a:visited {
        text-decoration: underline;
    }

    a[href]:after {
        content: " (" attr(href) ")";
    }

    abbr[title]:after {
        content: " (" attr(title) ")";
    }

    /*
     * Don't show links that are fragment identifiers,
     * or use the `javascript:` pseudo protocol
     */

    a[href^="#"]:after,
    a[href^="javascript:"]:after {
        content: "";
    }

    pre {
        white-space: pre-wrap !important;
    }
    pre,
    blockquote {
        border: 1px solid #999;
        page-break-inside: avoid;
    }

    /*
     * Printing Tables:
     * http://css-discuss.incutio.com/wiki/Printing_Tables
     */

    thead {
        display: table-header-group;
    }

    tr,
    img {
        page-break-inside: avoid;
    }

    p,
    h2,
    h3 {
        orphans: 3;
        widows: 3;
    }

    h2,
    h3 {
        page-break-after: avoid;
    }
}
